Subject: Re: unzip - known problem?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 24 Apr 2003 21:35:49 +0200

Hallo Gary,

Am Donnerstag, 24. April 2003 um 16:31 schriebst du:

> Let's say I have a .zip file, test.zip, that contains the following:
>         test/cat.exe
>         test/cat/mouse.exe

> If I do "unzip test.zip" (in an otherwise empty directory), I get the 
> following error:
>     checkdir error:  test/cat exists but is not directory
>                      unable to process test/cat/.

$ ls -R
.:
cat/  cat.exe*

./cat:
mouse.exe*

$ zip -r test .
  adding: cat/ (stored 0%)
  adding: cat/mouse.exe (stored 0%)
  adding: cat.exe (stored 0%)

$ unzip test.zip
Archive:  test.zip
   creating: cat/
 extracting: cat/mouse.exe           
 extracting: cat.exe

Works for me (tm).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/